Special:Watchlist should link to nonredirected pages
Closed, ResolvedPublic

Assigned To
None
Priority
Low
Author
bzimport
Subscribers
gpaumier, Qgil, tomasz, wikibugs-l
Projects
Security
None
Reference
bz890
Description

Author: creidieki+wiki

Description:
If a user has redirects on their watchlist, the page "Special:Watchlist" should
provide links specifically to those redirect pages, i.e., with "redirect=no"
appended. Currently, clicking on the name of the redirect will take you to the
redirected article, which is confusing if you're trying to prune your watchlist.


Version: unspecified
Severity: enhancement
See Also:

bzimport added a project: MediaWiki-Watchlist.Via ConduitNov 21 2014, 7:01 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz890.
bzimport created this task.Via LegacyNov 16 2004, 3:05 AM
bzimport added a comment.Via ConduitNov 24 2004, 12:03 PM

wikipedia wrote:

This looks rather trivial to do, but the code that produces the links is shared
with recent changes and recent changes linked. The question is if we make the no
redirect change for this, should we do the same for those?

bzimport added a comment.Via ConduitApr 22 2005, 12:46 AM

en.ABCD wrote:

(In reply to comment #1)

... The question is if we make the no
redirect change for this, should we do the same for those?

I think the answer to that is yes.

bzimport added a comment.Via ConduitJun 10 2005, 7:42 PM

Michael.Keppler wrote:

Most people use the watchlist links to navigate to the page for reading it
(after it has changed). So having the redirection work is _expected_ behavior.

Closing as WONTFIX.

bzimport added a comment.Via ConduitJun 10 2005, 7:54 PM

zigger wrote:

(In reply to comment #3)

Most people use the watchlist links to navigate to the page for reading it
(after it has changed). So having the redirection work is _expected_ behavior.

Reopening. Presumably, the redirect is listed because that is the page that
changed. Either behaviour allows either view with at most one extra click, but
using "redirect=no" makes the change more obvious.

bzimport added a comment.Via ConduitJun 11 2005, 2:44 AM

gangleri wrote:

please compare with
bug 2318: Special:Allpages should mark redirects distinctly

http://bugzilla.wikimedia.org/show_bug.cgi?id=2318#c3

  1. An alternate way to mark the redirects could be to generate two links. The main with &purge=no and beside it an arrow → for LTR and ← for RTL wiki's with the link to the page where the redirect is pointing two.
siebrand added a comment.Via ConduitFeb 2 2009, 11:42 AM

Changing component to "Watchlist"

bzimport added a comment.Via ConduitOct 7 2012, 2:27 AM

davidswikipediaemail wrote:

Anyone willing to fix this?

bzimport added a comment.Via ConduitApr 27 2013, 11:48 AM

rd232 wrote:

*** Bug 27600 has been marked as a duplicate of this bug. ***

gerritbot added a comment.Via ConduitApr 26 2014, 12:59 AM

Change 129871 had a related patch set uploaded by Withoutaname:
Append redirect=no to RecentChanges/Watchlist redirect entries

https://gerrit.wikimedia.org/r/129871

gerritbot added a comment.Via ConduitApr 30 2014, 8:19 PM

Change 129871 merged by jenkins-bot:
Append redirect=no to RecentChanges/Watchlist redirect entries

https://gerrit.wikimedia.org/r/129871

Qgil added a comment.Via ConduitApr 30 2014, 9:12 PM

\o/

TeleComNasSprVen, you fixed a three digit bug. Congratulations and thank you!

He7d3r edited the task description. (Show Details)Via WebMon, May 4, 3:19 PM
He7d3r set Security to None.

Add Comment